#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n, k, x, p;
    cin>>n>>k>>p;
    if(p==k)
    {
        cin>>x;
        cout<<x;
        return 0;
    }

    for(int i=0;i<n-2;i++)
    {
        cin>>x;
        if(x==k)
        {
            cin>>x;
            cout<<x;
            return 0;
        }
    }
    cout<<p;
    return 0;
}